Show / Hide Table of Contents

# Class JsonRestRequest

##### Inheritance

System.Object
RestRequest
JsonRestRequest

##### Implements

IRequest

##### Inherited Members

RestRequest.Client
RestRequest.Method
RestRequest.Endpoint
RestRequest.TimeoutAt
RestRequest.Promise
RestRequest.Options
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Net.Queue

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class JsonRestRequest : RestRequest, IRequest

### Constructors

| Improve this Doc View Source

#### JsonRestRequest(IRestClient, String, String, String, RequestOptions)

##### Declaration

    public JsonRestRequest(IRestClient client, string method, string endpoint, string json, RequestOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
IRestClient | client |
System.String | method |
System.String | endpoint |
System.String | json |
RequestOptions | options |

### Properties

| Improve this Doc View Source

#### Json

##### Declaration

    public string Json { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### SendAsync()

##### Declaration

    public override Task<RestResponse> SendAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<RestResponse> |

##### Overrides

RestRequest.SendAsync()

### Implements

IRequest